import * as BackendUtilities from './services/backendUtility.service';
import * as ServiceUtilities from './services/utilities';
import * as Utils from '@slickgrid-universal/utils';
export * from '@slickgrid-universal/utils';
export { type BasePubSubService as PubSubService, EventNamingStyle, type EventSubscription, type PubSubEvent } from '@slickgrid-universal/event-pub-sub';
export * from './constants';
export * from './global-grid-options';
export * from './core/index';
export * from './enums/index';
export * from './interfaces/index';
export * from './aggregators/index';
export * from './aggregators/aggregators.index';
export * from './editors/index';
export * from './editors/editors.index';
export * from './extensions/index';
export * from './filter-conditions/index';
export * from './filter-conditions/filterConditions.index';
export * from './filters/index';
export * from './filters/filters.index';
export * from './filters/filterFactory';
export * from './formatters/index';
export * from './formatters/formatters.index';
export * from './grouping-formatters/index';
export * from './grouping-formatters/groupingFormatters.index';
export * from './sortComparers/index';
export * from './sortComparers/sortComparers.index';
export * from './services/index';
export { Enums } from './enums/enums.index';
declare const Utilities: {
    deepAssign: typeof Utils.deepMerge;
    calculateAvailableSpace(element: HTMLElement): {
        top: number;
        bottom: number;
        left: number;
        right: number;
    };
    createDomElement<T extends keyof HTMLElementTagNameMap, K extends keyof HTMLElementTagNameMap[T]>(tagName: T, elementOptions?: { [P in K]: Utils.InferDOMType<HTMLElementTagNameMap[T][P]>; } | null | undefined, appendToParent?: Element | undefined): HTMLElementTagNameMap[T];
    classNameToList(className?: string | undefined): string[];
    destroyAllElementProps(obj: any): void;
    emptyElement<T_1 extends Element = Element>(element?: T_1 | null | undefined): T_1 | null | undefined;
    getHtmlStringOutput(input: string | number | HTMLElement | DocumentFragment, type?: "outerHTML" | "innerHTML" | undefined): string;
    getOffsetRelativeToParent(parentElm: HTMLElement | null, childElm: HTMLElement | null): {
        top: number;
        right: number;
        bottom: number;
        left: number;
    } | undefined;
    getOffset(elm?: HTMLElement | null | undefined): Utils.HtmlElementPosition | undefined;
    getInnerSize(elm: HTMLElement, type: "height" | "width"): number;
    getStyleProp(elm: HTMLElement, property: string): string | null;
    findFirstAttribute(inputElm: Element | null | undefined, attributes: string[]): string | null;
    findWidthOrDefault(inputWidth?: string | number | null | undefined, defaultValue?: string | undefined): string;
    htmlEncode(inputValue: string): string;
    htmlEntityDecode(input: string): string;
    htmlEncodeWithPadding(inputStr: string, paddingLength: number): string;
    insertAfterElement(referenceNode: HTMLElement, newNode: HTMLElement): void;
    windowScrollPosition(): {
        left: number;
        top: number;
    };
    extend<T_2 = any>(...args: any[]): T_2;
    stripTags(htmlText: string | number | boolean | HTMLElement, allowableTags?: string | string[] | undefined, tagReplacement?: string | undefined): string;
    addToArrayWhenNotExists<T_3 = any>(inputArray: T_3[], inputItem: T_3, itemIdPropName?: string | undefined): void;
    addWhiteSpaces(nbSpaces: number, spaceChar?: string | undefined): string;
    arrayRemoveItemByIndex<T_4>(array: T_4[], index: number): T_4[];
    deepCopy(objectOrArray: any): any;
    deepMerge(target: any, ...sources: any[]): any;
    emptyObject(obj: any): any;
    getFunctionDetails(fn: Utils.AnyFunction, addReturn?: boolean | undefined): {
        params: string[];
        body: string;
        isAsync: boolean;
    };
    isEmptyObject(obj: any): boolean;
    isDefined<T_5>(value: T_5 | null | undefined): value is T_5;
    isDefinedNumber<T_6>(value: T_6 | null | undefined): value is T_6;
    isObject(item: any): boolean;
    isPrimitiveValue(val: any): boolean;
    isPrimitiveOrHTML(val: any): boolean;
    hasData(value: any): boolean;
    isNumber(value: any, strict?: boolean | undefined): boolean;
    isObjectEmpty(obj: unknown): boolean;
    parseBoolean(input: any): boolean;
    removeAccentFromText(text: string, shouldLowerCase?: boolean | undefined): string;
    setDeepValue<T_7 = unknown>(obj: T_7, path: string | string[], value: any): void;
    titleCase(inputStr: string, shouldTitleCaseEveryWords?: boolean | undefined): string;
    toCamelCase(inputStr: string): string;
    toKebabCase(inputStr: string): string;
    toSentenceCase(inputStr: string): string;
    toSnakeCase(inputStr: string): string;
    uniqueArray<T_8 = any>(arr: T_8[]): T_8[];
    uniqueObjectArray(arr: any[], propertyName?: string | undefined): any[];
    sortByFieldType(fieldType: "string" | "number" | "boolean" | "object" | "unknown" | "integer" | "float" | "date" | "dateIso" | "dateUtc" | "dateTime" | "dateTimeIso" | "dateTimeIsoAmPm" | "dateTimeIsoAM_PM" | "dateTimeShortIso" | "dateEuro" | "dateEuroShort" | "dateTimeShortEuro" | "dateTimeEuro" | "dateTimeEuroAmPm" | "dateTimeEuroAM_PM" | "dateTimeEuroShort" | "dateTimeEuroShortAmPm" | "dateTimeEuroShortAM_PM" | "dateUs" | "dateUsShort" | "dateTimeShortUs" | "dateTimeUs" | "dateTimeUsAmPm" | "dateTimeUsAM_PM" | "dateTimeUsShort" | "dateTimeUsShortAmPm" | "dateTimeUsShortAM_PM" | "password" | "text" | "readonly", value1: any, value2: any, sortDirection: number, sortColumn?: import("./interfaces/column.interface").Column<any> | undefined, gridOptions?: import("./interfaces/gridOption.interface").GridOption<import("./interfaces/column.interface").Column<any>> | undefined): number;
    cancellablePromise<T_9 = any>(inputPromise: Promise<T_9>): import("./interfaces/cancellablePromiseWrapper.interface").CancellablePromiseWrapper<T_9>;
    castObservableToPromise<T_10>(rxjs: import("./services/rxjsFacade").RxJsFacade, input: Promise<T_10> | import("./services/rxjsFacade").Observable<T_10> | import("./services/rxjsFacade").Subject<T_10>, fromServiceName?: string): Promise<T_10>;
    addTreeLevelByMutation<T_11>(treeArray: T_11[], options: {
        childrenPropName: string;
        levelPropName: string;
    }, treeLevel?: number): void;
    addTreeLevelAndAggregatorsByMutation<T_12 = any>(treeArray: T_12[], options: {
        aggregator: import("./interfaces/aggregator.interface").Aggregator;
        childrenPropName: string;
        levelPropName: string;
    }, treeLevel?: number, parent?: T_12): void;
    flattenToParentChildArray<T_13>(treeArray: T_13[], options?: {
        aggregators?: import("./interfaces/aggregator.interface").Aggregator[] | undefined;
        parentPropName?: string | undefined;
        childrenPropName?: string | undefined;
        hasChildrenPropName?: string | undefined;
        identifierPropName?: string | undefined;
        shouldAddTreeLevelNumber?: boolean | undefined;
        levelPropName?: string | undefined;
    } | undefined): Omit<T_13, number | typeof Symbol.iterator | "charAt" | "charCodeAt" | "concat" | "indexOf" | "lastIndexOf" | "localeCompare" | "match" | "replace" | "search" | "slice" | "split" | "substring" | "toLowerCase" | "toLocaleLowerCase" | "toUpperCase" | "toLocaleUpperCase" | "trim" | "length" | "substr" | "codePointAt" | "includes" | "endsWith" | "normalize" | "repeat" | "startsWith" | "anchor" | "big" | "blink" | "bold" | "fixed" | "fontcolor" | "fontsize" | "italics" | "link" | "small" | "strike" | "sub" | "sup" | "padStart" | "padEnd" | "trimEnd" | "trimStart" | "trimLeft" | "trimRight" | "matchAll" | "replaceAll" | "at" | "toLocaleString" | "toString" | "valueOf">[];
    unflattenParentChildArrayToTree<P_1, T_14 extends P_1 & {
        [childrenPropName: string]: P_1[];
    }>(flatArray: P_1[], options?: {
        aggregators?: import("./interfaces/aggregator.interface").Aggregator[] | undefined;
        childrenPropName?: string | undefined;
        collapsedPropName?: string | undefined;
        identifierPropName?: string | undefined;
        levelPropName?: string | undefined;
        parentPropName?: string | undefined;
        initiallyCollapsed?: boolean | undefined;
    } | undefined): T_14[];
    findItemInTreeStructure<T_15 = any>(treeArray: T_15[], predicate: (item: T_15) => boolean, childrenPropertyName: string): T_15 | undefined;
    decimalFormatted(input: string | number, minDecimal?: number | undefined, maxDecimal?: number | undefined, decimalSeparator?: "." | ",", thousandSeparator?: "" | "." | " " | "," | "_"): string;
    formatNumber(input: string | number, minDecimal?: number | undefined, maxDecimal?: number | undefined, wrapNegativeNumberInBraquets?: boolean | undefined, symbolPrefix?: string, symbolSuffix?: string, decimalSeparator?: "." | ",", thousandSeparator?: "" | "." | " " | "," | "_"): string;
    getCellValueFromQueryFieldGetter(columnDef: import("./interfaces/column.interface").Column<any>, dataContext: any, defaultValue: any): string;
    getDescendantProperty<T_16 = any>(object: T_16, path: string | undefined): any;
    getTranslationPrefix(gridOptions?: import("./interfaces/gridOption.interface").GridOption<import("./interfaces/column.interface").Column<any>> | undefined): string;
    getColumnFieldType(columnDef: import("./interfaces/column.interface").Column<any>): "string" | "number" | "boolean" | "object" | "unknown" | "integer" | "float" | "date" | "dateIso" | "dateUtc" | "dateTime" | "dateTimeIso" | "dateTimeIsoAmPm" | "dateTimeIsoAM_PM" | "dateTimeShortIso" | "dateEuro" | "dateEuroShort" | "dateTimeShortEuro" | "dateTimeEuro" | "dateTimeEuroAmPm" | "dateTimeEuroAM_PM" | "dateTimeEuroShort" | "dateTimeEuroShortAmPm" | "dateTimeEuroShortAM_PM" | "dateUs" | "dateUsShort" | "dateTimeShortUs" | "dateTimeUs" | "dateTimeUsAmPm" | "dateTimeUsAM_PM" | "dateTimeUsShort" | "dateTimeUsShortAmPm" | "dateTimeUsShortAM_PM" | "password" | "text" | "readonly";
    isColumnDateType(fieldType: "string" | "number" | "boolean" | "object" | "unknown" | "integer" | "float" | "date" | "dateIso" | "dateUtc" | "dateTime" | "dateTimeIso" | "dateTimeIsoAmPm" | "dateTimeIsoAM_PM" | "dateTimeShortIso" | "dateEuro" | "dateEuroShort" | "dateTimeShortEuro" | "dateTimeEuro" | "dateTimeEuroAmPm" | "dateTimeEuroAM_PM" | "dateTimeEuroShort" | "dateTimeEuroShortAmPm" | "dateTimeEuroShortAM_PM" | "dateUs" | "dateUsShort" | "dateTimeShortUs" | "dateTimeUs" | "dateTimeUsAmPm" | "dateTimeUsAM_PM" | "dateTimeUsShort" | "dateTimeUsShortAmPm" | "dateTimeUsShortAM_PM" | "password" | "text" | "readonly"): boolean;
    mapOperatorType(operator: import("./enums/operatorType.enum").OperatorType | import("./enums/operatorString.type").OperatorString): import("./enums/operatorType.enum").OperatorType;
    mapOperatorToShorthandDesignation(operator: import("./enums/operatorType.enum").OperatorType | import("./enums/operatorString.type").OperatorString): import("./enums/operatorString.type").OperatorString;
    mapOperatorByFieldType(fieldType: "string" | "number" | "boolean" | "object" | "unknown" | "integer" | "float" | "date" | "dateIso" | "dateUtc" | "dateTime" | "dateTimeIso" | "dateTimeIsoAmPm" | "dateTimeIsoAM_PM" | "dateTimeShortIso" | "dateEuro" | "dateEuroShort" | "dateTimeShortEuro" | "dateTimeEuro" | "dateTimeEuroAmPm" | "dateTimeEuroAM_PM" | "dateTimeEuroShort" | "dateTimeEuroShortAmPm" | "dateTimeEuroShortAM_PM" | "dateUs" | "dateUsShort" | "dateTimeShortUs" | "dateTimeUs" | "dateTimeUsAmPm" | "dateTimeUsAM_PM" | "dateTimeUsShort" | "dateTimeUsShortAmPm" | "dateTimeUsShortAM_PM" | "password" | "text" | "readonly"): import("./enums/operatorType.enum").OperatorType;
    objectWithoutKey<T_17 = any>(obj: T_17, omitKey: keyof T_17): T_17;
    thousandSeparatorFormatted(inputValue: string | number | null, separator?: "" | "." | " " | "," | "_"): string | null;
    findOrDefault<T_18 = any>(array: T_18[], logic: (item: T_18) => boolean, defaultVal?: {}): any;
    unsubscribeAll(subscriptions: (import("./services/rxjsFacade").Subscription | import("@slickgrid-universal/event-pub-sub").EventSubscription)[]): (import("./services/rxjsFacade").Subscription | import("@slickgrid-universal/event-pub-sub").EventSubscription)[];
    CancelledException: typeof ServiceUtilities.CancelledException;
    collectionObserver(inputArray: any[], callback: (outputArray: any[], newValues: any[]) => void): void;
    propertyObserver(obj: any, prop: string, callback: (newValue: any, o?: any) => void): void;
    BackendUtilityService: typeof BackendUtilities.BackendUtilityService;
};
export { Utilities };
export { SlickgridConfig } from './slickgrid-config';
export { type MultipleSelectOption } from 'multiple-select-vanilla';
//# sourceMappingURL=index.d.ts.map